Description

First of all I would like to thank you very much for creating and maintaining such a wonderful software.

Will it be possible to get email notification when related blocking issues change status to closed?

Related issues:

Related to Redmine - Feature #4985: Filter issues which are blocked Closed 2010-03-04

History

#1 - 2010-03-22 13:42 - Shilkumar Nag

This is closed now

#2 - 2010-03-22 13:43 - Shilkumar Nag

Sorry its reopended as per the request

#3 - 2010-09-14 16:08 - Fernando Hartmann

To my needs all the related issues, not only for the blockers, need to be notified.

I my opinion, if a "related issue" is closed all the watcher need to now.

+1

#4 - 2010-10-14 14:13 - Sascha Kirchner

+1

#5 - 2011-09-02 22:47 - Fernando Hartmann

+1

#6 - 2011-09-10 06:44 - Robert Hailey

+1

Bugzilla (the last tracker system I used) did this, it helps to keep the initiative going, but might be replaceable by whine-emails with blocked items

filtered-out.

#7 - 2011-09-10 20:24 - Robert Hailey

I thought of a painless way to implement this, rather than bothering with a new class of email notification (or the like) simply...

1. Add a new config option:

1. "Related Status Notification"

1. None

2. Blocked Issues (Default)

3. All Relationships

2. On updating the status of a ticket:

1. Trigger an 'update' to it's related issues, to add the following quasi-formated string to the related tickets: "#relationship

#ticket-link-number-summary is now #new-status"

There is already a framework in place to send notification messages, and as a bonus reading the related tickets will have an easily perceived timeline

effect (opened on this date, comment, unblocked, solved).

#8 - 2011-11-29 14:29 - Lucy Yevseyeva

+1

2025-07-01 1/2



#9 - 2015-09-22 15:19 - budo kaiman

+1 to Robert's idea of implementation.  Even if this were implemented as a plugin, this functionality is quite important for productivity.

#10 - 2016-07-27 13:55 - Fridolin Tam

Still no way to get a notification when a related ticket got closed? That was super nice..

Greetings,

Fridolin

#11 - 2018-04-18 15:27 - Bartłomiej Perz

Do we have any option for triggers? I need RM to act like shown below sample and I trying to find solution for that. Anyone has a solution how to

activate triggers for that?

Example:

1. Issue No. 1 blocks Issue No. 2

2. When Issue No. 1 is 100% done, or ststus changed for Finish (all types) then:

a) Issue No. 2 changes its status for example from suspended to new - (automatic E-mail nottification to users)

b) or Redmine sends E-mail nottificaton that blocking Issue No. 1 is finiched or has 100%

c) or Issue No. 2 gives E-mail nottification to users as it is doing when issue is created.

 Best Regards

#12 - 2018-05-07 12:56 - Bartłomiej Perz

Someone, something?

#13 - 2018-05-07 14:21 - Go MAEDA

Bartłomiej Perz wrote:

Someone, something?

 Maybe no one is currently working on this issue. If someone writes a patch to implement this feature, there will be a possibility of being merged into

Redmine core.

Powered by TCPDF (www.tcpdf.org)

2025-07-01 2/2

http://www.tcpdf.org

